org.apache.thrift

## Class TException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TApplicationException, TProtocolException, TTransportException

      public class TException
      extends java.lang.Exception

  Generic exception class for Thrift.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TException()`
    `TException(java.lang.String message)`
    `TException(java.lang.String message, java.lang.Throwable cause)`
    `TException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TException

          public TException()

    - #### TException

          public TException(java.lang.String message)

    - #### TException

          public TException(java.lang.Throwable cause)

    - #### TException

          public TException(java.lang.String message,
                    java.lang.Throwable cause)